Skip to content
Permalink
Browse files

[Plugin installer] Fix broken warning about outdated plugin updates i…

…n the user directory masking a newer core version
  • Loading branch information
borysiasty committed Nov 3, 2017
1 parent 92ce3be commit 22a7b92d68115dffd27ab85984c328ab731d28f2
Showing with 1 addition and 1 deletion.
  1. +1 −1 python/pyplugin_installer/installer_data.py
@@ -716,10 +716,10 @@ def getAllInstalled(self, testLoad=True):
# failedToLoad = settings.value("/PythonPlugins/watchDog/" + key) is not None
testLoadThis = testLoad and key not in qgis.utils.plugins
plugin = self.getInstalledPlugin(key, path=path, readOnly=readOnly, testLoad=testLoadThis)
self.localCache[key] = plugin
if key in self.localCache.keys() and compareVersions(self.localCache[key]["version_installed"], plugin["version_installed"]) == 1:
# An obsolete plugin in the "user" location is masking a newer one in the "system" location!
self.obsoletePlugins += [key]
self.localCache[key] = plugin
except:
# it's not necessary to stop if one of the dirs is inaccessible
pass

0 comments on commit 22a7b92

Please sign in to comment.
You can’t perform that action at this time.